general {
  output_format = "i3bar"
  #output_format  = "term"
}

order += "ethernet _first_"
order += "wireless _first_"
order += "cpu_temperature cpu"
order += "cpu_usage"

order += "cpu_temperature gpu"

order += "memory"

order += "battery all"

order += time

ethernet _first_ {
  format_up   = "🖧  %ip"
}

battery all {
  format_down     = ""
  status_bat      = "🔋↓"
  status_full     = "🔋 "
  status_chr      = "⚡ "
  format          = "%status %remaining (%emptytime %consumption)"
  low_threshold   = "20"
  threshold_type  = "percentage"
}

cpu_temperature cpu {
  format        = "🖩 %degrees°C"
  max_threshold = "80"
  path          = "/sys/devices/pci0000:00/0000:00:18.3/hwmon/hwmon*/temp1_input"
}

cpu_usage {
  format = "%usage"
}

memory {
  format = "📼 %percentage_used (%used)"
}

wireless _first_ {
  format_up = "📶 %ip (%quality %essid)"
  format_down = ""
}
